## ros-noetic-mrt-cmake-modules 1.0.4

=== doc/generate_doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html latex

html: cmakeapi
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) ..
	@echo
	@echo "Build finished. The HTML pages are in .."

latex: cmakeapi
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) latex
	cd latex && make
	cp latex/api.pdf ..
	@echo
	@echo "Build finished. The pdf pages are in .."

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"

clean:
	-rm generated_cmake_api.rst
	-rm -rf build
	-rm -rf latex

cmakeapi:
	./generate_cmake_rst.py -o generated_cmake_api.rst  ../../cmake

=== debian/changelog ===
ros-noetic-mrt-cmake-modules (1.0.4-1focal) focal; urgency=high

  * Deleted deprecated configuration files
  * Fix cuda host compiler used for cuda 11
  * Fix __init__.py template for python3
  * Fix target handling for ros2
  * Fix build failures on ROS1
  * Fix the conan support
  * Add a dependency on ros_environment to ensure ROS_VERSION is set
  * Default to building shared libraries
  * Add QtScript to the list of qt components
  * Change license to BSD
  * Remove traces of GPL-licensed libgps
  * Remove unnecessary includes of cuda files
  * Update tensorflow c findscript to set new tensorflow include paths
  * Add cuda support for node and nodelet.
  * Remove usage of ast package for evaulating package.xml conditions
  * Fix crash if eval_coverage.py runs with python3
  * Ensure that coverage is also generated for cpp code called from plain rostests
  * Contributors: Fabian Poggenhans, Ilia Baltashov, Sven Richter

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Tue, 11 Aug 2020 22:00:00 -0000

ros-noetic-mrt-cmake-modules (1.0.3-1focal) focal; urgency=high

  * Replace deprecated platform.distro call with distro module
  * Raise required CMake version to 3.0.2 to suppress warning with Noetic
  * Remove boost signals component that is no longer part of boost
  * Fixed c++14 test path include.
  * Fix installation of python api files
  * Update README.md
  * Reformat with new version of cmake-format
  * Add lcov as dependency again
  * Fix FindBoostPython.cmake for cmake below 3.11 and python3
  * Fix multiple include of MrtPCL
  * Contributors: Christian-Eike Framing, Fabian Poggenhans, Johannes Beck, Johannes Janosovits, Moritz Cremer

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Sun, 24 May 2020 22:00:00 -0000

ros-noetic-mrt-cmake-modules (1.0.2-1focal) focal; urgency=high

  * Fix PCL findscript, disable precompiling
  * added jsoncpp
  * Make sure packages search for mrt_cmake_modules in their package config
  * Fix resolution of packages in underlaying workspaces
  * Mention rosdoc.yaml in package.xml
  * Contributors: Fabian Poggenhans, Johannes Beck, Johannes Janosovits

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Mon, 23 Mar 2020 23:00:00 -0000

ros-noetic-mrt-cmake-modules (1.0.1-1focal) focal; urgency=high

  * Update maintainer
  * Update generate_dependency_file to search CMAKE_PREFIX_PATH for packages instead of ROS_PACKAGE_PATH
  * Update package xml to contain ROS urls and use format 3 to specify python version specific deps
  * Add a rosdoc file so that ros can build the cmake api
  * Contributors: Fabian Poggenhans

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Tue, 10 Mar 2020 23:00:00 -0000

ros-noetic-mrt-cmake-modules (1.0.0-1focal) focal; urgency=high

  * Initial release for ROS
  * Contributors: Andre-Marcel Hellmund, Claudio Bandera, Fabian Poggenhans, Johannes Beck, Johannes Graeter, Niels Ole Salscheider, Piotr Orzechowski

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Sun, 23 Feb 2020 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-mrt-cmake-modules
Section: misc
Priority: optional
Maintainer: Fabian Poggenhans <fabian.poggenhans@kit.edu>
Build-Depends: debhelper (>= 9.0.0), python3-catkin-pkg-modules, python3-rospkg, python3-setuptools, python3-yaml, ros-noetic-catkin, ros-noetic-ros-environment
Homepage: http://wiki.ros.org/mrt_cmake_modules
Standards-Version: 3.9.2

Package: ros-noetic-mrt-cmake-modules
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lcov, python3-catkin-pkg-modules, python3-rospkg, python3-setuptools, python3-yaml, ros-noetic-ros-environment
Description: CMake Functions and Modules for automating CMake
